### Constructor

# Ide Range new

#### Declaration

    IdeRange*
    ide_range_new (
      IdeLocation* begin,
      IdeLocation* end
    )

#### Description

No description available.

#### Parameters

`begin` | `IdeLocation`
| No description available.
| The data is owned by the caller of the function.
`end` | `IdeLocation`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeRange`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.